/***************************************************************************
    ImgPanel - Panel for image display

    author:  Ulrich Krebs
    email :  ukrebs@freenet.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

import java.awt.*;

public class ImgPanel extends Panel
{
	Image img;
	
	public ImgPanel(String fileName)
	{
		try
		{
			java.net.URL url=getClass().getResource(fileName);
			img=getToolkit().getImage(url);
		}
		catch(Exception e)
		{
		}

		MediaTracker mt=new MediaTracker(this);
		mt.addImage(img,0);
		try
		{
			mt.waitForAll();
		}
		catch (InterruptedException e)
		{
		}
	}

	public Dimension getMinimumSize()
	{
		return(new Dimension(img.getWidth(this),img.getHeight(this)));
	}
	
	public Dimension getPreferredSize()
	{
		return(getMinimumSize());
	}
		

	public Dimension getMaximumSize()
	{
		return(getMinimumSize());
	}


	public void paint(Graphics g)
	{
		g.drawImage(img,(this.getSize().width-img.getWidth(this))/2,(this.getSize().height-img.getHeight(this))/2,this);
	}
}
